aboutsummaryrefslogtreecommitdiff
path: root/mail/tpop3d/files
diff options
context:
space:
mode:
authorPete Fritchman <petef@FreeBSD.org>2001-08-31 05:43:57 +0000
committerPete Fritchman <petef@FreeBSD.org>2001-08-31 05:43:57 +0000
commit3b958fc914e24661941243a8d0ff1d550e4d2616 (patch)
tree6853deaef837a39c48ccde154ea10e8fdfc550b9 /mail/tpop3d/files
parentc5114301454ab2997551bc1b14f2d13bd99359b9 (diff)
downloadports-3b958fc914e24661941243a8d0ff1d550e4d2616.tar.gz
ports-3b958fc914e24661941243a8d0ff1d550e4d2616.zip
Notes
Diffstat (limited to 'mail/tpop3d/files')
-rw-r--r--mail/tpop3d/files/tpop3d.conf.dist7
-rw-r--r--mail/tpop3d/files/tpop3d.sh.sample45
2 files changed, 52 insertions, 0 deletions
diff --git a/mail/tpop3d/files/tpop3d.conf.dist b/mail/tpop3d/files/tpop3d.conf.dist
new file mode 100644
index 000000000000..2089501e54f4
--- /dev/null
+++ b/mail/tpop3d/files/tpop3d.conf.dist
@@ -0,0 +1,7 @@
+listen-address: 0.0.0.0
+max-children: 20
+
+mailbox: bsd:/var/mail/$(user)
+
+auth-pam-enable: yes
+
diff --git a/mail/tpop3d/files/tpop3d.sh.sample b/mail/tpop3d/files/tpop3d.sh.sample
new file mode 100644
index 000000000000..97dbd2514da1
--- /dev/null
+++ b/mail/tpop3d/files/tpop3d.sh.sample
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+# tpop3d:
+# Init script for starting/stopping tpop3d.
+#
+# Copyright (c) 2001 Chris Lightfoot. All rights reserved.
+# Portability enhanced by Chris Elsworth, July 2001
+#
+# $FreeBSD$
+#
+
+if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
+ echo "$0: Cannot determine the PREFIX" >&2
+ exit 1
+fi
+
+DAEMON=$PREFIX/sbin/tpop3d
+
+[ -f $DAEMON ] || exit 0
+
+# See how we were called.
+case "$1" in
+ start)
+ # Start daemons.
+ $DAEMON -f $PREFIX/etc/tpop3d.conf -p /var/run/tpop3d.pid \
+ && echo -n " tpop3d"
+ ;;
+ stop)
+ # Stop daemons.
+ [ -r /var/run/tpop3d.pid ] && kill `cat /var/run/tpop3d.pid` \
+ && echo -n " tpop3d"
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ reload)
+ [ -r /var/run/tpop3d.pid ] && kill -HUP `cat /var/run/tpop3d.pid`
+ ;;
+ *)
+ echo "Usage: `basename $0` {start|stop|restart|reload}"
+ exit 1
+esac
+
+exit 0